package com.example.matuletest

import android.os.Bundle
import android.window.SplashScreen
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Button
import androidx.compose.material3.Scaffold
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Modifier
import androidx.compose.ui.platform.LocalUriHandler
import androidx.compose.ui.tooling.preview.Preview
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.matuletest.ui.auth.AuthScreen
import com.example.matuletest.ui.auth.FirstScreen
//import com.example.matuletest.ui.auth.FirstScreen
import com.example.matuletest.ui.auth.SliderScreen
import com.example.matuletest.ui.theme.MatuleTestTheme

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        setContent {
            MatuleTestTheme {
//                var isSplashScreenVisible by remember { mutableStateOf(true) }
//
//                if (isSplashScreenVisible) {
//                    FirstScreen (onNavigateToSliderScreen = {
//                        isSplashScreenVisible = false
//                    })
//                } else {
//                    AuthScreen()
//                }
//            }
//        }
                val navController = rememberNavController()

                NavHost(navController = navController, startDestination = "first_screen") {
                    composable("first_screen") {
                        FirstScreen(onNavigateToSliderScreen = {
                            navController.navigate("slider_screen")
                        })
                    }
                    composable("slider_screen") {
                        SliderScreen(onNavigateToAuthScreen = {
                            navController.navigate("auth_screen")
                        })
                    }
                    composable("auth_screen") {
                        AuthScreen()
                    }
                }
            }
        }
    }
}

