package com.example.matuletest.ui.auth

import android.annotation.SuppressLint
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
//import androidx.compose.foundation.text2.input.TextFieldCharSequence
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.collectAsState
import androidx.compose.ui.Modifier
import androidx.compose.ui.text.input.PasswordVisualTransformation
import androidx.compose.ui.window.Dialog
import androidx.lifecycle.viewmodel.compose.viewModel

@Composable
fun AuthScreen(){
    val viewModel: AuthScreenViewModel = viewModel()
    AuthContent(viewModel)
}

@Composable
fun AuthContent(viewModel: AuthScreenViewModel){
    val authState = viewModel.authScreenState.collectAsState()

   if(authState.value.isSignIn){
       Text("Success Authorize")
   }
    Column(
        modifier = Modifier.fillMaxSize(),
        verticalArrangement = Arrangement.Center
    ) {
        Text(text = "Email")
        TextField(
            value = authState.value.email,
            onValueChange = {
                viewModel.setEmail(it)
            })
        Text(text =  "Password")
        TextField(
            value = authState.value.password,
            onValueChange = {
                viewModel.setPassword(it)
            },
            visualTransformation = PasswordVisualTransformation()
        )
        Button(onClick = {
            viewModel.auth()
        }) {
            Text("Authorize")
        }
    }
}
